---
id: v2025-array-inner
title: ArrayInner
pagination_label: ArrayInner
sidebar_label: ArrayInner
sidebar_class_name: gosdk
keywords: ['go', 'Golang', 'sdk', 'ArrayInner', 'V2025ArrayInner'] 
slug: /tools/sdk/go/v2025/models/array-inner
tags: ['SDK', 'Software Development Kit', 'ArrayInner', 'V2025ArrayInner']
---

# ArrayInner

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------

## Methods

### NewArrayInner

`func NewArrayInner() *ArrayInner`

NewArrayInner instantiates a new ArrayInner object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewArrayInnerWithDefaults

`func NewArrayInnerWithDefaults() *ArrayInner`

NewArrayInnerWithDefaults instantiates a new ArrayInner object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set


